package com.example.plugin;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtMethod;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

public class MyClassCBP extends JavassistClassBytecodeProcessor {
  @Override
  public void process(ClassPool cp, ClassLoader cl, CtClass ctClass) throws Exception {
    cp.importPackage("java.util");

    ctClass.addMethod(CtMethod.make("" +
        "private void reinitialize() {" +
        "}", ctClass));

    ctClass.getDeclaredMethod("handleRequest").insertBefore("reinitialize();");
  }
}
